Skip to content

List

GET
/api/bigipconnector/namespaces/{namespace}/uztna/applications/discovered
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/bigipconnector/namespaces/example/uztna/applications/discovered \
--header 'Authorization: <Authorization>'

List the set of Discovered UZTNA Apps in Namespace.

Examples of this operation.

namespace
required
string

Namespace Namespace to scope the listing of Discovered UZTNA Apps.

label_filter
string

A LabelSelectorType expression that every item in list response will satisfy.

A successful response.

Media typeapplication/json
ListResponse is the collection of Discovered UZTNA Apps

This is the output message of ‘List’ RPC.

object
items
items

Items represents the collection in response.

Array<object>
Get Discovered CM Application

GET Discovered CM Application. This will return App data of a Discovered CM Application.

object
application
application

CM-assigned name of the Application.

string
<= 1024 characters
instance
instance

BIG-IP Next Instance on which the Virtual Server is deployed.

string
<= 1024 characters
private_ip
private_ip

VIP serving the App on a BIG-IP Next Instance.

string
<= 1024 characters
site
site

BIG-IP Next CE Site on which the App is running.

string
<= 1024 characters
virtual_server
virtual_server

Name of the Virtual Server front-ending the Application.

string
<= 1024 characters
Examplegenerated
{
"items": [
{
"application": "example",
"instance": "example",
"private_ip": "example",
"site": "example",
"virtual_server": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example